#ifndef I2C_H
#define I2C_H

// TWI Moduleinstellungen
#define I2C_PRESCALER 0x00
#define I2C_TWBR 12

#define I2c_not_init -10

extern unsigned char I2C_Init(void);

extern unsigned char I2C_Start(void);
extern unsigned char I2C_Stop(void);
extern unsigned char I2C_Write(unsigned char Data);
extern unsigned char I2C_Read(unsigned char *data, int8_t Stop);

extern unsigned char I2C_Readdata1(uint8_t add, unsigned char *data);
extern unsigned char I2C_Readdata(uint8_t add,unsigned char *data, uint8_t length);

extern unsigned char I2C_Writedata (unsigned char add,unsigned char *data, uint8_t length);
extern unsigned char I2C_Writedata1 (unsigned char add,unsigned char data);

#endif
